Name:           perl-Nmap-Parser
Version:        1.19
Release:        4%{?dist}.1
Summary:        Parse nmap scan data with perl
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Nmap-Parser/
Source0:        http://www.cpan.org/modules/by-module/Nmap/Nmap-Parser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XML::Twig)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module implements a interface to the information contained in an
nmap scan. It is implemented by parsing the xml scan data that is
generated by nmap. This will enable anyone who utilizes nmap to quickly
create fast and robust security scripts that utilize the powerful port
scanning abilities of nmap.

%prep
%setup -q -n Nmap-Parser-%{version}

# cleanup
rm -f ./._*

#fix end-of-line encoding
sed -i 's/\r//' README
sed -i 's/\r//' Parser.pm
sed -i 's/\r//' tools/pdev.pl

chmod 0644 tools/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README tools
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 01 2010 Iain Arnell <iarnell@gmail.com> 1.19-4.1
- drop perl(XML::Twig) version requirement

* Mon Mar 01 2010 Iain Arnell <iarnell@gmail.com> 1.19-4
- specfile cleanup prompted by BZ#569399
- license changed from GPLv2+ to MIT (since 1.11)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.19-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 04 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org>
- New upstream release
- Fix typo in manual install
- Don't use dos2unix, rely on sed magic instead

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 03 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 1.16-2
- New release, 1.16
- Add data files

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.05-5
Rebuild for new perl

* Mon Sep 24 2007 Jesse Keating <jkeating@redhat.com> - 1.05-4
- Bump release for upgrade path

* Wed May 09 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-3
- Move end-of-line fix to %%prep
- Update dos2unix BR

* Tue May 08 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-2
- Don't package Manifest
- Fix permissions
- Fix end-of-line encoding
- Add missing BRs
* Thu May 02 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-1
- Initial build
